libnova v 0.15.0

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Proper Motion

## Functions
void LIBNOVA_EXPORT | ln_get_equ_pm (struct ln_equ_posn *mean_position, struct ln_equ_posn *proper_motion, double JD, struct ln_equ_posn *position)
| Calculate a stars equatorial position wrt proper motion (J2000). More...

## Detailed Description

Proper motion is the motion in space of a star between 2 epochs. It has components in right ascension and in declination.

All angles are expressed in degrees.

## Function Documentation

void ln_get_equ_pm | ( | struct ln_equ_posn * | mean_position,
|  | struct ln_equ_posn * | proper_motion,
|  | double | JD,
|  | struct ln_equ_posn * | position
| ) |  |

Calculate a stars equatorial position wrt proper motion (J2000).

Parameters

  mean_position | Mean position of object.
  proper_motion | Annual Proper motion of object.
  JD | Julian Day.
  position | Pointer to store new object position.

Calculate a stars equatorial coordinates from it's mean coordinates (J2000.0) with the effects of proper motion for a given Julian Day.

Referenced by ln_get_apparent_posn().